From mboxrd@z Thu Jan  1 00:00:00 1970
From: Christian Kellermann <ckeen@pestilenz.org>
To: list+catgirl@causal.agency
Cc: Christian Kellermann <ckeen@pestilenz.org>
Subject: [PATCH] Always refresh the screen with ^L
Date: Tue,  8 Mar 2022 13:28:08 +0100
Message-Id: <20220308122808.82957-1-ckeen@pestilenz.org>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

This patch adds an explicit wrefresh call. Under some conditions
just flagging the window for redraw does not trigger a redraw and
the user has no other means to force redrawing of a window.

Without this patch resizing the window would sometimes result in
an empty chat window with no way to redraw it.

Tested under uxterm and st on OpenBSD.
---
 input.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/input.c b/input.c
index f3813c4..87a4eb9 100644
--- a/input.c
+++ b/input.c
@@ -467,7 +467,7 @@ static void keyCtrl(wchar_t ch) {
 		break; case L'I': error = tabComplete(edit, windowID());
 		break; case L'J': inputEnter();
 		break; case L'K': error = editFn(edit, EditDeleteTail);
-		break; case L'L': clearok(curscr, true);
+		break; case L'L': clearok(curscr, true); wrefresh(curscr);
 		break; case L'N': windowShow(windowNum() + 1);
 		break; case L'P': windowShow(windowNum() - 1);
 		break; case L'R': windowSearch(editString(edit, &buf, &cap, NULL), -1);
-- 
2.33.0


